{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Waveform Averaging Settings",
	"description": "Settings for waveform averaging",
	"type": "object",
	"properties": {
		"num_shots": {
			"type": "integer",
			"description": "Number of consecutive shots to be used for averaging.",
			"minimum": 1
		},
		"mta_zone": {
			"type": "integer",
			"description": "Fixed MTA zone for averaging.",
			"minimum": 1
		},
		"trim": {
			"type": "number",
			"description": "Percentage for robust averaging.",
			"minimum": 0,
			"maximum": 0.5,
			"default": 0
		}
	},
	"required": [
		"num_shots",
		"mta_zone"
	]
}